Description

We have trouble using Activity field when reporting spent time on issues. There is one global setting for whole redmine,

which sets the default value for Activity. Because users are lazy by nature, the very often forget to change Activity

to corresponding state. As a result, we have tons of hours with "Accounting" value.

My suggestions (important):

Allow to clear default value for Activity in Admin/Enumerations, so the default activity can be blank

Add settings to config, if the Activity field can be left blank or not. For is important "required" state,

so if user will add his/her time, the default value of Activity will be blank. If user will forget to select corresponding

activity, "Spent time" form will cannot be saved, until user select some Activity.

Add "Default activity" to "My account" page, so user can set his/her default activity from defined

list. This will be very handy, because lot of users are doing only one kind of activity.

Another ideas to future:

We can expand this behavior to more scenarios. We can create "Default activity" field

in Administration/Users/Userconfigpage, so admin will be able to select default user Activity. There can be also field:

Allow user to set his default Activity - this can be also build-in in Roles and Permissions config.

The last idea: admin can have privilege to set each user (or role?) his/her activities from which user can choose. For

example we have now something like 20 different activities. It can be nice to set to each user/role? sub-list of activities

from which user can choose. This will help users when selecting activity by redicing long list to just a few items,

and it also allows admins to have more controll on Users and their activities and it will prevent users to use unallowe

activities (so coder will not be payed for consulting)...

Ufff, any other ideas?

Related issues:

Related to Redmine - Feature #938: Add default Activity value per user New 2008-03-27

Related to Redmine - Feature #29286: Add default spent time activity per role Closed

History

#1 - 2011-03-24 05:40 - Toshi MARUYAMA

- Category set to Time tracking

#2 - 2012-12-18 17:11 - Filou Centrinov

+1

#3 - 2013-01-09 11:14 - Ве Fio

+1

#4 - 2016-05-29 14:16 - Андрей Плетенев

+1 to "admin can have privilege to set each role his/her activities from which user can choose."

#5 - 2016-06-26 05:41 - Toshi MARUYAMA

- Related to Feature #938: Add default Activity value per user added
#6 - 2023-05-06 01:06 - Go MAEDA

- Related to Feature #29286: Add default spent time activity per role added

#7 - 2023-05-06 01:09 - Go MAEDA

- File clipboard-202305060803-4gmdy.png added

Maxim Krušina wrote:

Allow to clear default value for Activity in Admin/Enumerations, so the default activity can be blank

 This is already implemented at least in Redmine 5.0. You can clear the "Default value" checkbox for all activities on the Enumerations page. If no

activities are marked as the default value, users cannot save a time entry without selecting an activity.

 clipboard-202305060803-4gmdy.png 

Also related to this issue, in Redmine 5.1.0, default activities per role will be available (#29286).
